PUT List/ProjectType/Items/{id}/UserGroups
Some tooltip text!
• 5 minutes to read
• 5 minutes to read
PUT /api/v1/List/ProjectType/Items/{itemId}/UserGroups
Saves user groups visible for the ProjectType list's item.
Calls the List agent service SaveHeadingsForListItemFromListDefinition.
| Path Part | Type | Description |
|---|---|---|
| itemId | int32 | The ID of the item to save. Required |
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: entities
The headings to be saved.
| Property Name | Type | Description |
|---|---|---|
| Id | Integer | The Id of the ListItem |
| Name | String | The name of the ListItem |
| ToolTip | String | The tooltip of the ListItem |
| Deleted | Boolean | The deleted status of the ListItem |
| Rank | Integer | The rank of the ListItem |
| Type | String | The type of the ListItem. Custom field. |
| ColorBlock | Integer | The color indicator of the ListItem color block |
| IconHint | String | The Icon hint of the ListItem. Custom field. |
| Selected | Boolean | True if the ListItem is selected |
| LastChanged | String | Time of last change. |
| ChildItems | Array | The child items of the SelectableMDOListItem |
| ExtraInfo | String | Extra information added to the ListItem. Could be information such as sort order etc or other meta data. Custom field. |
| StyleHint | String | Style hint indicating, information such as background color etc. Custom field. |
| Hidden | Boolean | True if the ListItem is hidden |
| FullName | String | The name of the ListItem in its context |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| Id | int32 | The Id of the ListItem |
| Name | string | The name of the ListItem |
| ToolTip | string | The tooltip of the ListItem |
| Deleted | bool | The deleted status of the ListItem |
| Rank | int32 | The rank of the ListItem |
| Type | string | The type of the ListItem. Custom field. |
| ColorBlock | int32 | The color indicator of the ListItem color block |
| IconHint | string | The Icon hint of the ListItem. Custom field. |
| Selected | bool | True if the ListItem is selected |
| LastChanged | date-time | Time of last change. |
| ChildItems | array | The child items of the SelectableMDOListItem |
| ExtraInfo | string | Extra information added to the ListItem. Could be information such as sort order etc or other meta data. Custom field. |
| StyleHint | string | Style hint indicating, information such as background color etc. Custom field. |
| Hidden | bool | True if the ListItem is hidden |
| FullName | string | The name of the ListItem in its context |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
PUT /api/v1/List/ProjectType/Items/{itemId}/UserGroups
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Content-Type: application/json; charset=utf-8
[
{
"Id": 293,
"Name": "O'Kon-Herman",
"ToolTip": "Eligendi perspiciatis autem totam laboriosam dolore cumque optio.",
"Deleted": false,
"Rank": 973,
"Type": "facilis",
"ColorBlock": 552,
"IconHint": "inventore",
"Selected": false,
"LastChanged": "2016-09-14T14:34:03.3932168+02:00",
"ChildItems": [
{
"Id": 877,
"Name": "Kautzer, Bode and Hegmann",
"ToolTip": "Tempora rerum.",
"Deleted": false,
"Rank": 479,
"Type": "earum",
"ColorBlock": 673,
"IconHint": "molestias",
"Selected": false,
"LastChanged": "2006-06-21T14:34:03.3932168+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "fuga",
"StyleHint": "non",
"Hidden": false,
"FullName": "Dr. Cecil Kristopher Jones"
}
],
"ExtraInfo": "sint",
"StyleHint": "possimus",
"Hidden": true,
"FullName": "Prof. Brennan May Ankunding Sr."
}
]
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"Id": 414,
"Name": "Customer",
"ToolTip": "Et rem provident voluptatem earum et quod vero.",
"Deleted": true,
"Rank": 986,
"Type": "consequatur",
"ColorBlock": 610,
"IconHint": "adipisci",
"Selected": true,
"LastChanged": "2022-12-26T14:34:03.3932168+01:00",
"ChildItems": [
{
"Id": 984,
"Name": "Ruecker LLC",
"ToolTip": "Debitis debitis quisquam non fuga consectetur.",
"Deleted": false,
"Rank": 9,
"Type": "iusto",
"ColorBlock": 280,
"IconHint": "laborum",
"Selected": false,
"LastChanged": "2023-01-13T14:34:03.3932168+01:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "quis",
"StyleHint": "vel",
"Hidden": false,
"FullName": "Mr. Jennifer Heller",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 585
}
}
}
],
"ExtraInfo": "iste",
"StyleHint": "non",
"Hidden": true,
"FullName": "Wyman Fahey",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 838
}
}
}
]